Show / Hide Table of Contents

# Class ServerHelloInfo

Wraps up the server SSL hello information.

##### Inheritance

Object
ServerHelloInfo

##### Inherited Members

Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: Titanium.Web.Proxy.StreamExtended

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    public class ServerHelloInfo

### Constructors

| Improve this Doc View Source

#### ServerHelloInfo(Int32, Int32, Int32, Byte[], Byte[], Int32, Int32)

##### Declaration

    public ServerHelloInfo(int handshakeVersion, int majorVersion, int minorVersion, byte[] random, byte[] sessionId, int cipherSuite, int serverHelloLength)

##### Parameters

Type | Name | Description
--- | --- | ---
Int32 | handshakeVersion |
Int32 | majorVersion |
Int32 | minorVersion |
Byte[] | random |
Byte[] | sessionId |
Int32 | cipherSuite |
Int32 | serverHelloLength |

### Properties

| Improve this Doc View Source

#### CipherSuite

##### Declaration

    public int CipherSuite { get; }

##### Property Value

Type | Description
--- | ---
Int32 |

| Improve this Doc View Source

#### CompressionMethod

##### Declaration

    public byte CompressionMethod { get; set; }

##### Property Value

Type | Description
--- | ---
Byte |

| Improve this Doc View Source

#### Extensions

##### Declaration

    public Dictionary<string, SslExtension> Extensions { get; set; }

##### Property Value

Type | Description
--- | ---
Dictionary<String, SslExtension> |

| Improve this Doc View Source

#### HandshakeVersion

##### Declaration

    public int HandshakeVersion { get; }

##### Property Value

Type | Description
--- | ---
Int32 |

| Improve this Doc View Source

#### MajorVersion

##### Declaration

    public int MajorVersion { get; }

##### Property Value

Type | Description
--- | ---
Int32 |

| Improve this Doc View Source

#### MinorVersion

##### Declaration

    public int MinorVersion { get; }

##### Property Value

Type | Description
--- | ---
Int32 |

| Improve this Doc View Source

#### Random

##### Declaration

    public byte[] Random { get; }

##### Property Value

Type | Description
--- | ---
Byte[] |

| Improve this Doc View Source

#### SessionId

##### Declaration

    public byte[] SessionId { get; }

##### Property Value

Type | Description
--- | ---
Byte[] |

| Improve this Doc View Source

#### Time

##### Declaration

    public DateTime Time { get; }

##### Property Value

Type | Description
--- | ---
DateTime |

### Methods

| Improve this Doc View Source

#### ToString()

Returns a String that represents this instance.

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
String | A String that represents this instance.

##### Overrides

Object.ToString()